models/mapobjects/chain/chain
{
	cull disable
	{
		map models/mapobjects/chain/chain.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/flag/banner_strgg
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	deformvertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map models/mapobjects/flag/banner_strgg.tga
		blendfunc blend
		alphafunc ge128
		rgbgen vertex 
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

models/mapobjects/teleporter/energy
{
	cull disable
	nopicmip
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc add
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc add
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc add
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	nopicmip
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc add
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc add
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	nopicmip
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc add
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc add
		tcmod scroll -.1 -.2
	}
}

textures/ad_content/1x1
{
	qer_editorimage textures/ad_content/ad1x1.jpg
	nopicmip
	{
		map textures/ad_content/ad1x1.jpg
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen Wave sin .5 0 0 0
		tcmod scroll .5 .5
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen Wave sin .4 0 0 0
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.jpg
	nopicmip
    {
		map textures/ad_content/ad2x1.jpg
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/base_floor/zroto_rustygrate
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/zroto_rustygrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_support/z_support2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/z_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_trim/zzwter_shiny2
{
	qer_editorimage textures/base_trim/zzwter_shiney.tga
	{
		map textures/base_trim/zzwter_shiney.tga
		rgbgen identity
	}
	{
		map textures/effects/zinfx_alphatest.tga
		blendfunc blend
		tcgen environment
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_trim/zinc_shinz
{
	qer_editorimage textures/gothic_trim/zinc_shinz.tga
	{
		map textures/gothic_trim/zinc_shinz.tga
		rgbgen identity
	}
	{
		map textures/effects/zinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zinc_shinz.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_trim/techborder
{
	q3map_surfacelight 300
	q3map_lightimage textures/base_trim/techborder_fx.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/techborder.tga
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/base_trim/techborder_fx.tga
		tcmod scroll .1 0
		blendfunc add
	} 
	{
		map textures/base_trim/techborder_fx.tga
		tcmod scale .1 1
		tcmod scroll .1 0
		blendfunc add
	}
}

textures/gothic_block/zlocks17_ow
{
	{
		map textures/sfx/ziregorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 5.6
		tcmod scale 1.5 1.5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/zlocks17_ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/gothic_block/zlocks18b_ow
{
	{
		map textures/sfx/ziregorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 5.6
		tcmod scale 1.5 1.5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/zlocks18b_ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/gothic_block/zillblock_i4b
{
	q3map_surfacelight 300
	q3map_lightimage textures/gothic_block/zillblock_i4glow.tga
	qer_editorimage textures/gothic_block/zillblock_i4.tga
	{
		map textures/gothic_block/zillblock_i4.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/gothic_block/zillblock_i4glow.tga
		blendfunc add
		rgbgen wave sin .9 .1 0 .1
	}
}

textures/gothic_floor/zent_metalbridge06
{
	q3map_lightimage textures/gothic_floor/pent_glow.tga
	q3map_surfacelight 500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_floor/zent_metalbridge06.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_floor/pent_glow.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 0.5
	}
}

textures/gothic_light/zroncrosslt2_1000
{
	qer_editorimage textures/gothic_light/zroncrosslt2.tga
	q3map_lightimage textures/gothic_light/zroncrosslt2.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.blend.tga
		blendfunc add
	}
}

textures/gothic_light/zroncrosslt2_10000
{
	qer_editorimage textures/gothic_light/zroncrosslt2.tga
	q3map_lightimage textures/gothic_light/zroncrosslt2.blend.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.blend.tga
		blendfunc add
	}
}

textures/gothic_light/zroncrosslt2_3000
{
	qer_editorimage textures/gothic_light/zroncrosslt2.tga
	q3map_lightimage textures/gothic_light/zroncrosslt2.blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.blend.tga
		blendfunc add
	}
}

textures/gothic_light/zroncrosslt2_5000
{
	qer_editorimage textures/gothic_light/zroncrosslt2.tga
	q3map_lightimage textures/gothic_light/zroncrosslt2.blend.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/zroncrosslt2.blend.tga
		blendfunc add
	}
}

textures/gothic_light/zentagram_light1_5k
{
	qer_editorimage textures/gothic_light/zentagram_light1.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/zentagram_light1.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/zentagram_light1_blend.tga
		blendfunc add
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_trim/zitted_rust2_trans
{
	qer_editorimage textures/gothic_trim/zitted_rust2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/zitted_rust2.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/gothic_trim/zznc_shiny
{
	qer_editorimage textures/gothic_trim/zznc_shiny.tga
	{
		map textures/effects/zinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zznc_shiny.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/liquids/zavahellflat_400
{
	qer_editorimage textures/liquids/zavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 400
	tesssize 128
	cull disable
	sort 8
	{
		map textures/liquids/zavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonoffset
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}

textures/sfx/zouncepad01block18b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/zumppadsmall.tga
	q3map_surfacelight 2000
	nopicmip
	{
		map textures/sfx/zouncepad01block18b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/zouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/zumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	nopicmip
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame1side
{
	qer_editorimage textures/sfx/flame1side.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame2.tga
	nopicmip
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/ntrl_techfloor_kc
{    
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm	nomarks
	nopicmip
	polygonOffset
	sort 6

	qer_editorimage textures/sfx/techfloor_kc.tga
	{
		clampmap textures/sfx/zzztntrl_kc.tga
		alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
	{
		clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
		tcmod rotate 180
		depthFunc equal
		tcMod stretch sin .8 0.1 0 .4
		rgbGen identity
	}
	{
		map textures/sfx/techfloor_kc.tga
		blendfunc blend
		depthFunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/skies/zim_dm3_red
{
	qer_editorimage textures/skies/zillsky_1.tga
	q3map_lightimage textures/skies/ztars_red.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .5 .37 .19 70 30 70
	q3map_surfacelight 80
	skyparms - 512 -
	{
		map textures/skies/zillsky_1.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/skies/zillsky_2.tga
		blendfunc add
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}

textures/skin/zkin5_trans
{
	qer_editorimage textures/skin/zkin5.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/skin/zkin5.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/skin/zkin6move
{
	tesssize 128
	deformvertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/skin/zkin6move.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/skin/zkin6_trans
{
	qer_editorimage textures/skin/zkin6.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/skin/zkin6.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/base_floor/zusty_pentagrate
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/zusty_pentagrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/sfx/zlocks18ccomputer
{
	surfaceparm nodamage
	q3map_surfacelight 200
	{
		map textures/sfx/zlocks18ccomputer.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		animmap 2 textures/sfx/letters1.tga textures/sfx/letters5.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
}

